Do I need to update the Secure Browser my school used during last year's field tests?

No, it is not required to uninstall and install the latest version of the Nextera Secure Browser if your school has already installed the Nextera Secure Browser as part of last year's field tests on computers (stand-alone field tests / SAFT). Last year's Secure Browser is still supported for this year's field tests on computer.  

However, we are recommending an uninstall and fresh install as a best practice. 

There have been minor updates to the Windows, Chromebook, and iPad Nextera Secure Browsers (the Mac version of the Nextera Secure Browser has not been updated) for the spring testing administration. These updates are minor “back-end” changes, and do not affect the functionality, user experience, or security of the secure browser. All versions of the Nextera Secure Browser will continue to be supported through math operational testing and field testing. iPads & Chromebooks are updated automatically through an app update; uninstall is not necessary. For Windows machines, the newest Nextera Secure Browser version is 3.3.54 (3.1.0 is the older version that many schools may already have installed from the 2016 field testing administration). If you decide to update Windows machines, please uninstall version 3.1.0 before installing 3.3.54. All Nextera Secure Browser installations can be located at Nextera Admin under Help>Downloads.


We do not anticipate another Nextera Secure Browser update before math operational or stand-alone field testing. If any unforeseen system updates occur that require updates to the secure browser, we will inform our schools participating in CBT.